Install Python 2.6 in Ubuntu 12.04

Ubuntu 12.04 includes Python 2.7.3 andĀ  Python 2.6 is no longer available for install.If you need to runĀ  legacy software which only support Python 2.6.Below steps will show you how to install Python 2.6 from PPA,alternatively you also can build it yourself.

1.Open a Terminal by pressing CTL+ALT+t

2.Run below command to add PPA to your repository

sudo add-apt-repository ppa:fkrull/deadsnakes

3.Then you can update your repository and install Python 2.6

sudo apt-get update
sudo apt-get install python2.6 python2.6-dev

4.You are done,enjoy.

7 thoughts on “Install Python 2.6 in Ubuntu 12.04

  1. Pingback: Install Python 2.6 in Ubuntu 12.04

  2. sameer bahadur

    Even after python2.6 install, using ppa apt process, package install thereafter is not sensing python2.6 presence.
    While trying to install python-4suite-xml_1.0.2-7.2_i386.deb the software center fails and reports “Dependency is not satisfiable:pyhton (<2.7)"
    Thereafter I have to install harpia, which has dependency of python-4suite-xml.
    Any hints how to proceed?

    Reply
    1. sameer bahadur

      Changing /usr/bin/pthon to point to python2.6 – does not help, software centre exits without reporting anything.
      Restoring /usr/bin/pthon to point to python2.7 – software centre report “Dependency not satisfied”

      Reply

Leave a Reply

Your email address will not be published. Required fields are marked *